LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Linux - Distributions (http://www.linuxquestions.org/questions/linux-distributions-5/)
-   -   Can't find 32 bit libs to run 32 bit prog on 64 bit CentOS (http://www.linuxquestions.org/questions/linux-distributions-5/cant-find-32-bit-libs-to-run-32-bit-prog-on-64-bit-centos-4175479136/)

homer_3 09-30-2013 07:49 PM

Can't find 32 bit libs to run 32 bit prog on 64 bit CentOS
 
I have a binary that I compiled on a 32 bit version of CentOS 6.4 32bit. I am trying to run in on CentOS 6.3 64 bit. But I got the error "/lib/ld-linux.si.2: bad ELF interpreter: No such file or directory" Google-Fu showed I need to install i386 libs using "yum install glibc.i386" But that gave me the error "No package glibc.i386 available." More Google - try "yum install glibc*"

This showed the following packages to install

Code:

================================================================================
 Package            Arch        Version                    Repository    Size
================================================================================
Installing:
 glibc-devel        x86_64      2.12-1.107.el6_4.4          updates      974 k
 glibc-headers      x86_64      2.12-1.107.el6_4.4          updates      605 k
 glibc-static        x86_64      2.12-1.107.el6_4.4          updates      1.4 M
 glibc-utils        x86_64      2.12-1.107.el6_4.4          updates      160 k
Updating:
 glibc              x86_64      2.12-1.107.el6_4.4          updates      3.8 M
 glibc-common        x86_64      2.12-1.107.el6_4.4          updates      14 M
Installing for dependencies:
 gd                  x86_64      2.0.35-11.el6              base        142 k
 kernel-headers      x86_64      2.6.32-358.18.1.el6        updates      2.3 M
 libXpm              x86_64      3.5.10-2.el6                base          51 k

Transaction Summary
================================================================================

But none of these are i386. Since they are all 64 bit, I doubt they will help any. Is there some other package I can search for to install to allow me to run my 32 bit binary on a 64 bit machine?

sag47 09-30-2013 08:19 PM

If I recall, CentOS only provides *.i686 packages. yum search glibc-devel should reveal to you both the x86_64 and i686 package versions. Install the 686 package versions for compatibility. Use strace to find all dependencies if all else fails.

homer_3 09-30-2013 08:45 PM

Thanks, that got it.


All times are GMT -5. The time now is 10:42 AM.